unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, DBGrids, DB, ASGSQLite, ExtCtrls, DBCtrls, ToolWin,
  ComCtrls, StdCtrls, Buttons, Mask;

type
  TForm1 = class(TForm)
    ASQLiteDB1: TASQLiteDB;
    ASQLiteTable1: TASQLiteTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    ToolBar1: TToolBar;
    DBNavigator1: TDBNavigator;
    Panel1: TPanel;
    Label1: TLabel;
    EName: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    DBEdit1: TDBEdit;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
 ASQLiteTable1.Locate('name',VarArrayOf([EName.Text]),[]);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
 ASQLiteTable1.Last;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
 ASQLiteTable1.Locate('id',VarArrayOf([StrToInt(EName.Text)]),[]);
end;

end.
